Subject: repost: Re: WGLC ule-03

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 17 Dec 2004 11:18:43 +0000

I'm forwarding the comments below (extracted, from a longer email from 
"Bernhard Collini-Nocker" <[email-masked]>), since they relate to 
suggested changes to ULE, resulting from reading during the WGLC.

Gorry Fairhurst
(ipdvb WG Chair)

----

1. Figure 12 does not provide clear guidance on the placement of the NPA field 
when extension headers are present. The placement within the base-header needs 
to be clarified.

>>So, section 5. provides the following (more complex) example:
>>    < --------------------------   SNDU   ------------------------- >
>>    +---+---------------------------------------------------+--------+
>>    |D=1| Length | T1 | H1 | T2 | H2 | T3 |       PDU       | CRC-32 |
>>    +---+---------------------------------------------------+--------+
>>    < ULE base header >< ext 1 >< ext 2 >
>>
>>    Figure 12: SNDU Encapsulation with two Extension Headers
>>
 > Gorry:
> I'd kind of assumed the NPA ALAWAYS was a part of the BASE HEADER, and that
> it always is inserted after the first type field, with any extension headers
> FOLLOWING the NPA when it is present. So, I guess I had imagined:
> 
>     < --------------------------   SNDU   ------------------------- >
>      +---+---------------------------------------------------+--------+
>      |D=0| Length | T1 | NPA | H1 | T2 | H2 | T3 |    PDU      | CRC-32 |
>      +---+---------------------------------------------------+--------+
>         <base header>   <*1> <  ext 1  >< ext 2 >
> 
> *1 NPA, if present, is always counted as a part of the base header.
 >
 > Thoughts?

----

2. In Section 4.7.5 Fig 8

The Bridge Frame SNDU Encapsulation
- "Receiver Destination Address" should be marked as "NPA Address"

----